#include <bits/stdc++.h>
using namespace std;
long snt[100000],q=0,n,dem=1,d[100000];
ifstream f1("SLU.inp");
ofstream f2("SLU.out");
void nt(long a,long i=2)
{
    if(a>1)
    {
        if(a%i==0){
            snt[q]=i;
            q++;
            nt(a/i,2);
        }
        else{
            nt(a,i+1);
        }
    }
}
int main()
{
    f1>>n;
    nt(n,2);
    for(long j=0;j<q;j++){
        if(snt[j]==snt[j-1]){
            d[snt[j]]++;
        }
    }
    for(long k=0;k<q;k++){
        if(snt[k]!=snt[k-1]){
            dem=dem*(d[snt[k]]+2);
        }
    }
    f2<<dem;
    f1.close();
    f2.close();
}
